Defect #7682

Revision 4918: uninitialized constant Redmine::Configuration

Added by Marcel Nadje over 8 years ago. Updated over 8 years ago.

Status:ClosedStart date:2011-02-22
Priority:NormalDue date:
Assignee:-% Done:

0%

Category:Issues
Target version:-
Resolution:Invalid Affected version:

Description

The latest trunk has the following errors after update to Rails 2.3.11:

rake config/initializers/session_store.rb --trace
DEPRECATION WARNING: Rake tasks in vendor/plugins/engines/tasks and vendor/plugins/open_id_authentication/tasks are deprecated. Use lib/tasks instead. (called from D:/Ruby187_249/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/rails.rb:10)
rake aborted!
uninitialized constant Redmine::Configuration
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:466:in `load_missing_constant'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:106:in `const_missing'
D:/Redmine/lib/redmine/scm/adapters/subversion_adapter.rb:27
D:/Ruby187_249/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
D:/Ruby187_249/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:182:in `require'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:547:in `new_constants_in'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:182:in `require'
D:/Redmine/lib/tasks/migrate_from_trac_vgsg.rake:23
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:171:in `load_without_new_constant_marking'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:171:in `load'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:547:in `new_constants_in'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:171:in `load'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/rails.rb:14
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/rails.rb:14:in `each'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/rails.rb:14
D:/Ruby187_249/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
D:/Ruby187_249/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
D:/Redmine/Rakefile:10
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2383:in `load'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2383:in `raw_load_rakefile'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2017:in `load_rakefile'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2016:in `load_rakefile'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2000:in `run'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31
D:/Ruby187_249/bin/rake:19:in `load'
D:/Ruby187_249/bin/rake:19

rake db:migrate RAILS_ENV=production --trace
rake aborted!
uninitialized constant Redmine::Configuration
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:466:in `load_missing_constant'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:106:in `const_missing'
D:/Redmine/lib/redmine/scm/adapters/subversion_adapter.rb:27
D:/Ruby187_249/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
D:/Ruby187_249/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:182:in `require'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:547:in `new_constants_in'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:182:in `require'
D:/Redmine/lib/tasks/migrate_from_trac_vgsg.rake:23
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:171:in `load_without_new_constant_marking'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:171:in `load'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:547:in `new_constants_in'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:171:in `load'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/rails.rb:14
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/rails.rb:14:in `each'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/rails.rb:14
D:/Ruby187_249/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
D:/Ruby187_249/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
D:/Redmine/Rakefile:10
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2383:in `load'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2383:in `raw_load_rakefile'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2017:in `load_rakefile'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2016:in `load_rakefile'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2000:in `run'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31
D:/Ruby187_249/bin/rake:19:in `load'
D:/Ruby187_249/bin/rake:19

rake db:migrate:upgrade_plugin_migrations RAILS_ENV=production
rake aborted!
uninitialized constant Redmine::Configuration
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:466:in `load_missing_constant'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:106:in `const_missing'
D:/Redmine/lib/redmine/scm/adapters/subversion_adapter.rb:27
D:/Ruby187_249/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
D:/Ruby187_249/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:182:in `require'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:547:in `new_constants_in'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:182:in `require'
D:/Redmine/lib/tasks/migrate_from_trac_vgsg.rake:23
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:171:in `load_without_new_constant_marking'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:171:in `load'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:547:in `new_constants_in'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/dependencies.rb:171:in `load'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/rails.rb:14
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/rails.rb:14:in `each'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/rails.rb:14
D:/Ruby187_249/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
D:/Ruby187_249/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
D:/Redmine/Rakefile:10
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2383:in `load'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2383:in `raw_load_rakefile'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2017:in `load_rakefile'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2016:in `load_rakefile'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2000:in `run'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'
D:/Ruby187_249/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31
D:/Ruby187_249/bin/rake:19:in `load'
D:/Ruby187_249/bin/rake:19

Futhermore it gives a http 500 error if I try to show a ticket.
What is the problem?

History

#1 Updated by Maciej Czub over 8 years ago

+1

#2 Updated by Marcel Nadje over 8 years ago

The rake errors still exists, but the http 500 is fixed by update the workflow table manually (See 20110220160626_add_workflows_assignee_and_author.rb in #4895). I think the db update dont finished successfully because the rake errors above.

#3 Updated by Marcel Nadje over 8 years ago

Marcel Nadje wrote:

The rake errors still exists, but the http 500 is fixed by update the workflow table manually (See 20110220160626_add_workflows_assignee_and_author.rb in #4895). I think the db update don't finished successfully because of the rake errors above.

#4 Updated by Etienne Massip over 8 years ago

  • Status changed from New to Closed
  • Resolution set to Invalid

lib/tasks/migrate_from_trac_vgsg.rake is failing and is not vanilla Redmine.

Please contact its author.

Also available in: Atom PDF